summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/get-package-updates15
1 files changed, 12 insertions, 3 deletions
diff --git a/bin/get-package-updates b/bin/get-package-updates
index f4a6290..068730f 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -30,6 +30,8 @@ usage() {
>&2 echo ' Pull latest commit before $datetime'
>&2 echo ' (yyyy-mm-ddThh:mm:ss). Conflicts -n.'
>&2 echo ' -h|--help: Show this help and exit.'
+ >&2 echo ' -i|--ignore-insanity:'
+ >&2 echo ' Do not abort when insane.'
>&2 echo ' -n|--no-pull: Do not pull git repos, merely reorder build list.'
>&2 echo ' Conflicts -d.'
>&2 echo ' -w|--wait: If necessary, wait for lock blocking.'
@@ -40,9 +42,10 @@ usage() {
}
eval set -- "$(
- getopt -o d:hnwx: \
+ getopt -o d:hinwx: \
--long date: \
--long help \
+ --long ignore-insanity \
--long no-pull \
--long test-exclusion: \
--long wait \
@@ -52,8 +55,9 @@ eval set -- "$(
block_flag='-n'
date_time=''
-test_exclusion=''
+ignore_insanity=false
pull=true
+test_exclusion=''
while true
do
@@ -65,6 +69,9 @@ do
-h|--help)
usage 0
;;
+ -i|--ignore-insanity)
+ ignore_insanity=true
+ ;;
-n|--no-pull)
pull=false
;;
@@ -104,7 +111,9 @@ fi
if [ -s "${work_dir}/build-master-sanity" ]; then
>&2 echo 'Build master is not sane.'
- exit
+ if ! ${ignore_insanity}; then
+ exit
+ fi
fi
# delete_package arch package